Subject: Re: [PATCH 2/5] refs: make `is_pseudoref_syntax()` stricter

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Jan 2024 09:38:19 -0800

Phillip Wood <[email-masked]> writes:

> I not sure I quite understand what you mean here. Are you saying that
> scripts should stop using "git update-ref" and "git rev-parse" for
> anything that does not match the new pseudoref syntax?

Yes, I am saying that, and also that we should have been stricter on
what we accept and consider as pseudorefs---not just any file that
sits directly under $GIT_DIR/., but ideally we should have limited
to "^[A-Z]*_HEAD$" or something.  The idea I am floating is to see if
such a tightening can be done now without hearing too many screams.